<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
{% extends "base.html"%}
{% load static %}

{% block head_content %}
<title>@{{ request.user.username }} | Update profiles</title>
{% endblock %}

{% block container %}

<div class="container">

    <div class="row justify-content-md-center">
        <div class="col-6 p-4" id="profile-box">

            <form action="{% url 'profile' %}" method="POST" enctype="multipart/form-data">
                {% csrf_token %}

                {% if form.errors %}
                    <p>{{ form.errors }}</p>
                {% endif %}

                <div class="media">
                    {% if profile.picture %}
                        <img src="{{ profile.picture.url }}" class="rounded-circle" height="50" />
                    {% else%}
                        <img src="{% static 'img/default-profile.png' %}" class="rounded-circle" height="50" />
                    {% endif %}

                    <div class="media-body">
                        <h5 class="ml-4">@{{ user.username }} | {{ user.get_full_name }}</h5>
                        <p class="ml-4"><input type="file" name="picture" required="true"></p>
                    </div>
                </div>

                <hr><br>

                <div class="form-group">
                    <label>Website</label>
                    <input
                        class="form-control"
                        type="url"
                        name="website"
                        placeholder="Website"
                        value="{{ profile.website }}"
                    />
                </div>



                <div class="form-group">
                    <label>Phone number</label>
                    <input
                        class="form-control"
                        type="text"
                        name="phone_number"
                        placeholder="Phone number"
                        value="{{ profile.phone_number }}"
                    />
                </div>

                <button type="submit" class="btn btn-primary btn-block mt-5">Update info</button>
            </form>
        </div>
    </div>
</div>

{% endblock %}